package event

import "code.fbi.h-da.de/danet/gosdn/controller/event"

// Service is the event service.
type Service interface {
	PublishEvent(topic string, event event.Event) error
	CloseConnection()
	RetryPublish(topic string, event event.Event) error
	Reconnect()
}
